Subject: [bug#36404] [PATCH 4/6] Export the (gnu machine) interface.

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 30 Jun 2019 00:04:53 +0200

Hi Jakob,

> This is so machine declarations can have a simple (use-modules (gnu))
> rather than having to import the machine module explicitly.

Do we need this at all or could “guix deploy” evaluate the machine
declaration in an environment where the machine module is available?  We
do something like that for evaluating manifests – no module relating to
manifest loading needs to be specified by users and yet
“specifications->manifest” is available.

Would it make sense to do something similar here instead of exporting
(gnu machine) in (gnu)?

-- 
Ricardo